//
//  SizeWithContentExampleAppDelegate.m
//  SizeWithContentExample
//
//  Created by Woo Ram Park on 09. 04. 15.
//  Copyright __MyCompanyName__ 2009. All rights reserved.
//

#import "SizeWithContentExampleAppDelegate.h"

@implementation SizeWithContentExampleAppDelegate

@synthesize window;

- (void)applicationDidFinishLaunching:(UIApplication *)application
{
	NSString *string = @"I have a very beautiful girl-friend. but she is not love me after last weekend.\nI love her";
	
	UIFont *stringFont = [UIFont boldSystemFontOfSize:15.0f];
	CGSize stringSize = [string sizeWithFont:stringFont constrainedToSize:CGSizeMake(280.0f, 60.0f) lineBreakMode:UILineBreakModeWordWrap];
	
	UILabel *label = [[UILabel alloc] initWithFrame:CGRectMake(20.0f, 50.0f, stringSize.width, stringSize.height)];
	[label setFont:stringFont];
	[label setText:string];
	[label setNumberOfLines:0];
	[label setLineBreakMode:UILineBreakModeWordWrap];
	
	[window addSubview:label];
	[label release];
	
	[window setBackgroundColor:[UIColor blackColor]];
    [window makeKeyAndVisible];
}

- (void)dealloc
{
    [window release];
    [super dealloc];
}


@end
